/**
 * Reduce calls to the passed function.
 *
 * @param func - Function to debounce.
 * @param threshold - The delay to avoid recalling the function.
 * @param execAsap - If true, the Function is called at the start of the threshold, otherwise the Function is called at the end of the threshold.
 */
export declare function debounce<T extends (...args: any[]) => any>(func: T, threshold: number, execAsap?: boolean): T;
/**
 * Get the ID of the element.
 *
 * @param id - ID of the element.
 */
export declare const getID: (id: string | undefined) => string;
/**
 * Save to localStorage.
 *
 * @param value - Value to save.
 * @param id - Optional id to save under.
 */
export declare let save: (value: any, id: string) => void;
/**
 * Load from localStorage.
 *
 * @param id - Optional id to load from.
 */
export declare let load: (id: string) => string | void;
